<?php

namespace Modules\Stock\Trait\Repo;

use Helpers\Outil\Roles;
use Modules\Stock\Enum\TypeParametreVracEnum;

trait ImputationRepoTrait
{
    public function getImputationSectoJoinValue(string $codeParametre, string $value): string
    {
        return Roles::droit($this->pdo, $codeParametre, TypeParametreVracEnum::PARAMSTE->name) ? $value: "''";
    }
}
